## Examples



1. Using samtools to view a fastq file with same name as provided in url 

   
<div class="tab">
<div class="lft">
UBUNTU
<div id="termynal" data-termynal>
    <span data-ty="input">apt-get install wget samtools</span>
    <span data-ty="input">wget https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq</span>
    <span data-ty="input">samtools convert 1_control_18S_2019_minq7%20-%20Copy.fastq</span>
</div>
</div>
<div class="rgt">
BiTIA
<div id="termynal1" data-termynal>
    <span data-ty="input">bitia run "samtools convert &lt;https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq&gt;"</span>
</div>
</div>
</div>
    
<br>

2. Using samtools to view a fastq file with different file name as provided in url
   
   
<div class="tab">
<div class="lft">
UBUNTU
<div id="termynal2" data-termynal>
    <span data-ty="input">apt-get install wget samtools</span>
    <span data-ty="input">wget sample.fastq https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq</span>
    <span data-ty="input">samtools convert sample.fastq</span>
</div>
</div>
<div class="rgt">
BiTIA
<div id="termynal3" data-termynal>
<span data-ty="input">bitia run "samtools convert &lt;sample.fastq|https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq&gt;"</span>
    
</div>
</div>
</div>
<br>

3. Using fastqc to do a Quality check on a fastq file with same file name as provided in url
   <br>

    
<div class="tab">
<div class="lft">
UBUNTU
<div id="termynal4" data-termynal>
    <span data-ty="input">apt-get install wget fastqc</span>
    <span data-ty="input">wget https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq</span>
    <span data-ty="input">fastqc 1_control_18S_2019_minq7%20-%20Copy.fastq</span>

</div>
</div>
<div class="rgt">
BiTIA
<div id="termynal5" data-termynal>
 <span data-ty="input">bitia run "fastqc &lt;https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq&gt;"</span>
    
</div>
</div>
</div>
