# BiTIA - How to Guide
This guide will help you to understand each commands and options available in BiTIA


To list available commands and options in bitia, execute `bitia --help`


<div id="termynal" data-termynal>
    <span data-ty="input">bitia --help </span>
    <span data-ty>

````
 Usage: bitia [OPTIONS] COMMAND [ARGS]...                                                                                                                                                                                                   
                                                                                                                                                                                                                                            
 Callback                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                            
╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ --verbose                             [debug|info|warning]  [default: VerbosityLevel.warning]                                                                                                                                            │
│ --plain                 --no-plain                          [default: no-plain]                                                                                                                                                          │
│ --server                              TEXT                  [default: None]                                                                                                                                                              │
│ --install-completion                                        Install completion for the current shell.                                                                                                                                    │
│ --show-completion                                           Show completion for the current shell, to copy it or customize the installation.                                                                                             │
│ --help                                                      Show this message and exit.                                                                                                                                                  │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ checksum                                                                                                                                                                                                                                 │
│ create-container            Create container for the pipeline. The container starts running immediately on the server. Use command `logs` to stream the output.                                                                          │
│ list-container              List the remote server associated with the pipeline.                                                                                                                                                         │
│ logs                        Stream logs for the most recent run of a given pipeline.                                                                                                                                                     │
│ run                         Run a pipeline                                                                                                                                                                                               │
│ submit                      Submit your pipelin (url, directory, zip_file).                                                                                                                                                              │
│ version                     version information                                                                                                                                                                                          │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
````

</span>

</div>


```{toctree}
:hidden:

commands/bitia_checksum
commands/bitia_logs
commands/bitia_create_container
commands/bitia_list_container
commands/bitia_run
commands/bitia_submit
```

## Commands   
<div style="float:left">

|   command |   Description |    
|------------|------------------------|
|[checksum](commands/bitia_checksum.md)| value that represents the number of bits in a transmission message| 
|[create-container](commands/bitia_create_container.md) |Create container for the pipeline. The container starts running immediately on the server. Use command logs to stream the output. |
|[list-container](commands/bitia_list_container.md)  |list the remote server associated with the pipeline. |
|[logs](commands/bitia_logs.md)  | Stream logs for the most recent run of a given pipeline.|
|[run](commands/bitia_run.md) | Run a pipeline|
|[submit](commands/bitia_submit.md)| Submit your pipelin (url, directory, zip_file)|
  
</div>  


## Options
|options    |   Description |
|-----------|-------------|
|-verbose  | [debug\|info\|warning][default: VerbosityLevel.warning]|  
|–plain –no-plain |[default: no-plain] | 
|–server |TEXT [default: None]|  
|–install-completion |Install completion for the current shell.  |
|–show-completion |Show completion for the current shell, to copy it or customize the installation.|  
|–help |Show this message and exit.|




<script type="text/javascript" src="https://raw.githack.com/Ganz1285/terminal/main/termynal.js" data-termynal-container="#termynal"></script>


