# BiTIA Tutorial

**BiTIA** or **Bioinformatics Tool for Infrastructure Automation** is a tool that simplifies the Orchestration of Architecture to perform the execution of complex bioinformatics pipelines.

Bioinformatics pipelines consist of complex workflows which include huge input files, reference genome files, various bio-software packages, etc. These pipelines specifically are much harder in normal ways to execute, which depends on intensive precision, effort, and exactness.

Our product **BiTIA** with its homogenous nature with shell commands and syntaxes is a very easy-to-understand software that provides numerous advantages in working with complex bioinformatics pipelines. BiTIA supports diverse bioinformatics software and the user can easily work on this software without explicitly installing these. The user has to specify the URL links to download input files.


When a user wants to execute a bioinformatics task with BITIA, he/she only has to submit a task with `BiTIA-CLI` installed and URL links to download input files and reference files.

- BiTIA takes care of orchestrating the architecture with required software packages in our public server ``public.bitia.link``
- It downloads input files from the given URLs and uses them in the actual place.
- BiTIA only installs the required packages and software for executing the given pipelines, so that the containers will not become heavy.
- BiTIA reduces the working time of a pipeline drastically as the execution does not depend on the user's system configuration or network speed.


An Example Workflow is added for the better understanding of this tutorial. We ensure that no bioinformatics knowledge is needed to understand the tutorial.



```{toctree}
:maxdepth: 2

tutorial/setup.md
tutorial/example_workflow.md


```

