# An Example Workflow



### Step 1: Specify Input Files

First we need to specify URLs for downloading input files to BiTIA.

for that, you have to create a file with URLs having input files.  
`example_file.txt`:
<div id="termynal" data-termynal>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/058/SRR20076358/SRR20076358_1.fastq.gz</span>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/058/SRR20076358/SRR20076358_2.fastq.gz</span>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/061/SRR20076361/SRR20076361_1.fastq.gz</span>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/061/SRR20076361/SRR20076361_2.fastq.gz</span>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/063/SRR20076363/SRR20076363_1.fastq.gz</span>
<span data-ty>ftp://ftp.sra.ebi.ac.uk/vol1/fastq/SRR200/063/SRR20076363/SRR20076363_2.fastq.gz</span>

</div>



### Step 2: Create `main.bitia.sh` file

<div id="termynal" data-termynal>
<span data-ty>#!/usr/bin/env bash</span>

<span data-ty>fastqc *.gz</span>

<span data-ty>bitia tools download ./small_input_files.txt</span>

<span data-ty>for file in *_1.fastq.gz
do
  echo $file ${file%_1.fastq.gz}_2.fastq.gz
  trim_galore &#8208;-cores 8 &#8208;-gzip &#8208;-fastqc &#8208;-max_n 2 	&#92;<br>
      &#8208;-output_dir Trimmed_Data/ 	&#92; <br>
      &#8208;-paired $file ${file%_1.fastq.gz}_2.fastq.gz

done</span>
</div>


### Step 3: Execute using `bitia`

<div id="termynal1" data-termynal>
<span data-ty="input">bitia run bitia-tutorial</span>
</div>

Make sure you are away of the working directory `bitia-tutorial` and can mention it.
The results will be produced to the user console.


Now that you executed a simple bionformatics pipeline using bitia, you may feeel that it is very easy to work bioinformatics pipelines in bitia. To know more about commands in BiTIA, refer [HOW TO GUIDE](../how_to.md)

<script type="text/javascript" src="https://raw.githack.com/Ganz1285/terminal/main/termynal.js" data-termynal-container="#termynal1"></script>