

# BioInformatics Tool for Infrastructure Automation(BiTIA)

<p style="margin: auto;
  width: 50%;
  border: 3px;
  padding: 10px;">

```{image} https://img.shields.io/pypi/v/bitia.svg
:target: https://pypi.python.org/pypi/bitia
```

```{image} https://img.shields.io/pypi/pyversions/bitia.svg
:target: https://www.python.org
```
</p>

Welcome to BiTIA Documentation!

BiTIA is a tool that simplifies the infrastructure required to run complex bioinformatics pipelines. BiTIA plays well with the existing workflow management systems such as [snakemake](https://snakemake.readthedocs.io/en/stable/), [gnu-Make](https://www.gnu.org/software/make/), etc.

BiTIA has two components: **bitia-cli** and **bitia-runner**.
BiTIA CLI is on the client side and allows clients to submit tasks to the bitia server.
BiTIA runner is on the server side and operates the given tasks to produce results.

## BiTIA CLI
Most users only need the `bitia-cli` tool to submit tasks.
BiTIA CLI creates a zip file of the user input(pipeline) containing a unique hash and ships it to the server.

[see some examples]: examples

```{toctree}
:caption: Getting Started
:hidden: 


getting_started/Installation
getting_started/tutorial
getting_started/how_to
getting_started/Examples

```

```{toctree}
:caption: API REFERENCE
:hidden:

references/bitia_reference
```

```{toctree}
:caption: PROJECT INFO
:hidden:

info/license
```
***


If you want to learn how to use BiTIA and installation, check out the following resources:

### **GETTING STARTED**

- For Installing BiTIA, refer [Installation](getting_started/Installation.md)

- To Understand working with BiTIA, refer [BiTIA - Tutorial](getting_started/tutorial.md)  

- To Learn the working and uses of commands in BiTIA, refer [How to guide](getting_started/how_to.md)

- To Understand the differences and Advantages of working with BiTIA, go to [Examples](getting_started/Examples.md)




